name: unicblue/page-teasers
typeName: unicblue_pageteasers
group: hks
prefixFields: true
prefixType: full
fields:
  -
    identifier: headers
    type: Palette
    fields:
      -
        identifier: header
        useExistingField: true
      -
        identifier: header_layout
        useExistingField: true
      -
        identifier: header_position
        useExistingField: true
  -
    identifier: bodytext
    useExistingField: true
    enableRichtext: true
  -
    identifier: pages
    useExistingField: true
  -
    identifier: sort_value
    type: Select
    translatable: false
    renderType: selectSingle
    default: sorting
    label: LLL:EXT:hks/ContentBlocks/ContentElements/page-teasers/language/labels.xlf:sort_value.label
    description: LLL:EXT:hks/ContentBlocks/ContentElements/page-teasers/language/labels.xlf:sort_value.description
    items:
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/page-teasers/language/labels.xlf:sort_value.items.sorting
        value: sorting
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/page-teasers/language/labels.xlf:sort_value.items.title
        value: title
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/page-teasers/language/labels.xlf:sort_value.items.crdate
        value: crdate
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/page-teasers/language/labels.xlf:sort_value.items.tstamp
        value: tstamp
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/page-teasers/language/labels.xlf:sort_value.items.uid
        value: uid
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/page-teasers/language/labels.xlf:sort_value.items.custom
        value: custom
  -
    identifier: sort_custom_field
    type: Text
    translatable: false
    label: LLL:EXT:hks/ContentBlocks/ContentElements/page-teasers/language/labels.xlf:sort_custom_field.label
    description: LLL:EXT:hks/ContentBlocks/ContentElements/page-teasers/language/labels.xlf:sort_custom_field.description
    displayCond: 'FIELD:unicblue_pageteasers_sort_value:=:custom'
  -
    identifier: sort_order
    type: Select
    translatable: false
    renderType: selectSingle
    default: asc
    label: LLL:EXT:hks/ContentBlocks/ContentElements/page-teasers/language/labels.xlf:sort_order.label
    description: LLL:EXT:hks/ContentBlocks/ContentElements/page-teasers/language/labels.xlf:sort_order.description
    items:
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/page-teasers/language/labels.xlf:sort_order.items.asc
        value: asc
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/page-teasers/language/labels.xlf:sort_order.items.desc
        value: desc
  -
    identifier: tab_layout
    type: Tab
    label: 'Layout'
  -
    identifier: layout
    type: Select
    translatable: false
    renderType: selectSingle
    default: card
    items:
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/page-teasers/language/labels.xlf:layout.items.card
        value: card
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/page-teasers/language/labels.xlf:layout.items.text_media_2col
        value: text-media-2col
  -
    identifier: tx_hks_container
    type: Select
    useExistingField: true
  -
    identifier: tx_hks_top_accent
    type: Select
    useExistingField: true
  -
    identifier: spacing_palette
    type: Palette
    fields:
      -
        identifier: tx_hks_spacing_top
        type: Select
        useExistingField: true
      -
        identifier: tx_hks_spacing_bottom
        type: Select
        useExistingField: true
